<?php
include_once(_DIR_EXT.'/frameset/c_frameset_tree.php');
class c_page_frameset_poll_editor_tree extends c_page_frameset_tree
{
  public $h1='Опросы - дерево' ;
  public $tree_title='Опросы';
  public $tree_table_name='poll_themes';
	public $main_url='/frameset/poll/editor/' ;
  public $tree_item_on_click_script='/frameset/poll/editor/viewer/' ;
  public $tree_upload_url='/services/poll/tree/'; // url для подгрузки содержимого дерева, ему передается reffer текущей ноды

	function __construct($options=array())
 { parent::__construct($options);
   $this->reffer_root='1.'._DOT('poll_themes')->pkey ;
 }


  function arr_types_set()
  {
    $this->arr_types['clss_573']=['icon'=>'far fa-question-circle'] ;
    $this->arr_types['clss_574']=['icon'=>'far fa-caret-square-right'] ;
  }

}
